org.apache.lucene.util.fst

## Class BytesRefFSTEnum.InputOutput<T>

- java.lang.Object
- - org.apache.lucene.util.fst.BytesRefFSTEnum.InputOutput<T>

Enclosing class:
  BytesRefFSTEnum<T>

    public static class BytesRefFSTEnum.InputOutput<T>
    extends Object

Holds a single input (BytesRef) + output pair.

### Field Summary

Fields
`BytesRef` `input`
`T` `output`

### Constructor Summary

Constructors
Constructor and Description
`BytesRefFSTEnum.InputOutput()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### input

    public BytesRef input

#### output

    public T output

### Constructor Detail

#### BytesRefFSTEnum.InputOutput

    public BytesRefFSTEnum.InputOutput()